Font::TTF::Vhea(3)

NAME
Font::TTF::Vhea - Vertical Header table

DESCRIPTION
This is a simple table with just standards specified instance variables

INSTANCE VARIABLES
    version
    Ascender
    Descender
    LineGap
    advanceHeightMax
    minTopSideBearing
    minBottomSideBearing
    yMaxExtent
    caretSlopeRise
    caretSlopeRun
    metricDataFormat
    numberOfVMetrics

METHODS

  $t->read
Reads the table into memory as instance variables

  $t->out($fh)
Writes the table to a file either from memory or by copying.

  $t->minsize()
Returns the minimum size this table can be. If it is smaller than this, then the table must be bad and should be deleted or whatever.

  $t->update
Updates various parameters in the hhea table from the hmtx table, assuming the "hmtx" table is dirty.

BUGS
None known

AUTHOR
Martin Hosken <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.